ONVIF::PTZ::Types::ItemListDescription(3)

NAME
ONVIF::PTZ::Types::ItemListDescription

DESCRIPTION
Perl data type class for the XML Schema defined complexType ItemListDescription from the namespace http://www.onvif.org/ver10/schema.

Describes a list of items. Each item in the list shall have a unique name. The list is designed as linear structure without optional or unbounded elements. Use ElementItems only when complex structures are inevitable.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SimpleItemDescription

•   ElementItemDescription

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::ItemListDescription
   SimpleItemDescription => ,
   ElementItemDescription => ,
   Extension =>  { # ONVIF::PTZ::Types::ItemListDescriptionExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL